Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create team

POST/workspaces/{organizationId}/teams
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Request body
application/json
keystringrequired
min length 1
namestringrequired
min length 1
isPublicboolean
parentAutoCloseboolean
triageAssigneeIdstring | null
triageAgentIdstring | null
defaultTemplateIdstring | null
defaultRepostring | null
subIssueAutoCloseboolean
Responses
201

Team created

idstringrequired
organizationIdstringrequired
keystringrequired
namestringrequired
ownerIdstringrequired
isDefaultbooleanrequired
isPublicbooleanrequired
parentAutoClosebooleanrequired
triageAssigneeIdstring | nullrequired
triageAgentIdstring | nullrequired
defaultTemplateIdstring | nullrequired
defaultRepostring | nullrequired
subIssueAutoClosebooleanrequired
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://pile.nyc/workspaces/string/teams' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "key": "string",
  "name": "string",
  "isPublic": true,
  "parentAutoClose": true,
  "triageAssigneeId": "string",
  "triageAgentId": "string",
  "defaultTemplateId": "string",
  "defaultRepo": "string",
  "subIssueAutoClose": true
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "key": "string",
  "name": "string",
  "ownerId": "string",
  "isDefault": true,
  "isPublic": true,
  "parentAutoClose": true,
  "triageAssigneeId": "string",
  "triageAgentId": "string",
  "defaultTemplateId": "string",
  "defaultRepo": "string",
  "subIssueAutoClose": true,
  "createdAt": "string",
  "updatedAt": "string"
}

Was this page helpful?